#include <iostream>
#include <map>;
#include <stdio.h>
#include <vector>
using namespace std;
typedef struct{
    int topki;
    int teglo;
}snowman;
int count_weight(){
int n;
    cin >> n;
    int p,m;
    snowman a[n];
    int cnt;
    cin >> p>>m;
    if(m>0){
          a[0].topki = p+1;
          a[0].teglo=m;

        }else if(m==0){
            a[0].topki =0;
            a[0].teglo=0;

        }
    for(int i = 1;i<n;i++){
        int lastp = p;
        int lastm = m;
        cin >> p>>m;
        if(m>0){
          a[i].topki = p+1;
          a[i].teglo=lastm+m;

        }else if(m==0){
            a[i].topki = p-1;
            a[i].teglo=a[i-1].teglo-lastm;

        }
    }
    for(int i = 0;i<n;i++){
        printf("ix : %d topki: %d  teglo: %d\n",i+1,a[i].topki,a[i].teglo);
}
}
long long even(){
    long long n;
    cin >> n;
    long long a[n];
    long long ins;
    for(long long i=0;i<n;i++){
        cin>>ins;
        a[i]=ins;
    }
    long long calc=0;
    long long sum=0;
    for(long long i=0;i<n;i++){
        if(a[i]==0){
            sum++;
        }
        for(long long j=i+1;j<n;j++){

            if(calc==0){
                calc = a[j]*a[i];
            }else{
                calc*=a[j];
            }
            if(calc%2==0){
                sum++;
            }

        }
        calc =0;


    }
    printf("%d\n", sum);
    return 0;

}
int main(){
    even();
    return 0;
}
